View Issue Details

IDProjectCategoryView StatusLast Update
0001810Far ManagerPanel.Infopublic2012-12-14 22:35
ReporterMaximusAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001810: Запрос elevation в Info-панели игнорирует настройку
DescriptionДля AltF1/AltF2 есть настройка "[ ] Show CD drive parameters". Было бы логично использовать ее и в Info-панели.
TagsNo tags attached.
Build2649

Activities

Maximus

2011-06-25 00:57

reporter  

Info110624.diff (455 bytes)
Index: infolist.cpp
===================================================================
--- infolist.cpp	(revision 6352)
+++ infolist.cpp	(working copy)
@@ -190,7 +190,7 @@
 	                            &strFileSystemName))
 	{
 		int IdxMsgID=-1;
-		int DriveType=FAR_GetDriveType(strDriveRoot,nullptr,TRUE);
+		int DriveType=FAR_GetDriveType(strDriveRoot,nullptr,Opt.ChangeDriveMode & DRIVE_SHOW_CDROM?0x01:0);
 
 		switch (DriveType)
 		{
Info110624.diff (455 bytes)

vskirdin

2012-04-26 11:47

administrator   bugnote:0009059

Не надо настройку от одного интерфейса приспосабливать к другому.
Есть "InfoPanel settings" вот туда и нужно добавить что-то вроде Opt.InfoPanel.ShowCDInfo.

vskirdin

2012-04-28 10:03

administrator   bugnote:0009074

build 2649

Issue History

Date Modified Username Field Change
2011-06-25 00:57 Maximus New Issue
2011-06-25 00:57 Maximus File Added: Info110624.diff
2012-04-26 11:47 vskirdin Note Added: 0009059
2012-04-28 10:03 vskirdin Note Added: 0009074
2012-04-28 10:03 vskirdin Assigned To => vskirdin
2012-04-28 10:03 vskirdin Status new => feedback
2012-12-14 21:01 samlyukov Status feedback => resolved
2012-12-14 22:35 vskirdin Build => 2649
2012-12-14 22:35 vskirdin Status resolved => closed
2012-12-14 22:35 vskirdin Resolution open => fixed
2012-12-14 22:35 vskirdin Fixed in Version => 3.0